#ifndef __GAME_H__
#define __GAME_H__

/* Main loop and support functions. */

/* Start everything up.
Must be called before everything except game_parseHelp() */
void game_init();

/* Parse arguments for help flags. */
void game_parseHelp(const int argc, char *argv[]);

/* Parse arguments for generation options.
Return true if generation was triggered. */
char game_parseGenerator(const int argc, char *argv[]);

/* Parse arguments for sky/sea options. */
void game_parseColours(const int argc, char *argv[]);

/* Parse arguments for junk.
This works because the other parsing functions clear the arguments they recognise.
Any remaining arguments are unknown. */
void game_parseJunk(const int argc, char *argv[]);

/* Run game loop. */
void game_loop();

/* Save anything after exit. */
void game_cleanup();

#endif

