#include <stdlib.h>
#include "world.h"
#include "generate.h"
#include "resource.h"
#include "game.h"

int main(int argc, char *argv[]) {
	// Print help
	game_parseHelp(argc, argv);

	game_init();

	// Generate new world if flag given
	if (!game_parseGenerator(argc, argv)) {
		// No flag, load world or generate default
		if (!world_load(world_path)) {
			generate_island();
		}
	}

	// Apply overriden skybox colours
	game_parseColours(argc, argv);

	game_parseJunk(argc, argv);

	game_loop();

	game_cleanup();
	return EXIT_SUCCESS;
}
