/* Provides functions for initializing libraries and loading resources. */

#ifndef __RESOURCE_H__
#define __RESOURCE_H__

#include <SDL2/SDL.h>
#include <SDL2/SDL_mixer.h>
#include "gl_load.h"

// Window and OpenGL context handles
extern SDL_Window *window;
extern SDL_GLContext context;

// Paths to config/save files
extern char *bind_path, *world_path;

// Sound effects
extern Mix_Chunk *sfxGrass, *sfxWood, *sfxGlass, *sfxStone, *sfxMetal, *sfxPlant, *sfxFluff, *sfxSand;

// Texture handles
extern GLuint textures, seatexture;

/* Initialize SDL and OpenGL, load assets and crash on error. */
void resource_init();
/* Cleanup. */
void resource_quit();

#endif
